# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			aften
Summary:		A/52 audio encoder - creates stereo and multi-channel audio streams
Version:		0.0.8.git20110104
Release:		1.9
License:		LGPL-2.1
Group:			Productivity/Multimedia/Sound/Utilities
Url:			http://aften.sourceforge.net/
Source:			aften-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	yasm
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Aften: A/52 audio encoder based on FFmpeg.

Aften is an audio encoder which generates compressed audio streams
based on ATSC A/52 specification. This type of audio is also known
as AC-3 or Dolby Digital and is one of the audio codecs used in
DVD-Video content.

The name, Aften, is an acronym for: A Fifty-Two ENcoder. It is also
Danish and Norwegian for 'evening'.

Authors:
Justin Ruggles <justinruggles@bellsouth.net>
Prakash Punnoor <prakash@punnoor.de>

%package -n libaften-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/C and C++
Requires:	libaften0 = %{version}
Provides:	aften-devel

%description -n libaften-devel
This package contains all necessary include files and libraries
needed to develop applications that require these.

%package -n libaften0
Summary:	Shared libraies for aften
Group:		System/Libraries

%description -n libaften0
Shared libraies for aften.

%prep
%setup -q -n %{name}-%{version}
%__chmod 644 Changelog COPYING README

%build
%__mkdir -p build
pushd build
	cmake .. \
		-DCMAKE_INSTALL_PREFIX:STRING=%{_prefix} \
		-DSHARED=1 \
		-DBINDINGS_CXX=1

    # fix for x86_64 build
    %__sed -i -e "s|{CMAKE_INSTALL_PREFIX}/lib|{CMAKE_INSTALL_PREFIX}/%{_lib}|g" \
		cmake_install.cmake

	%__make %{?jobs:-j%{jobs}}
popd

%install
pushd build
	%makeinstall \
		DESTDIR=%{buildroot}
popd

%__install -m 644 build/libaften*.a \
	%{buildroot}%{_libdir}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libaften0 -p /sbin/ldconfig

%postun -n libaften0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc Changelog COPYING README
%{_bindir}/*

%files -n libaften0
%defattr(-, root, root)
%{_libdir}/libaften.so.*
%{_libdir}/libaftenxx.so.*

%files -n libaften-devel
%defattr(-, root, root)
%dir %{_includedir}/aften/
%{_includedir}/aften/*.h
%{_libdir}/libaften*.a
%{_libdir}/libaften.so
%{_libdir}/libaftenxx.so

%changelog
* Tue Nov 26 2013 joerg.lorenzen@ki.tng.de
- update to snapshot 0.0.8.git20110104
* Thu Jul  3 2008 toni@links2linux.de
- update to snapshot 20080622-r762
- splitted package according shared-library policy
* Sat Oct 27 2007 detlef@links2linux.de
- fix build on x86_64
* Mon Sep 10 2007 toni@links2linux.de
- update to 0.08
* Thu Apr 26 2007 toni@links2linux.de
- update to 0.07
- added -DBINDINGS_CXX=1 to build-options
* Fri Feb  2 2007 toni@links2linux.de
- initial build 0.06
